<?
#############################################################################
##                            Автор: -=ША}{ТЕР=-                            #                                                                                                                                                                                      ##                           Сайт: http://masteram.us                           #                 															                      ##                             ICQ  :  46-92-90                             #                 														 		           ##                             Версия от 14.01.2010                         #
## По вопросам приобритения скрипта или обновлений для него обращатьтся на  #
## вышеуказанные данные. РАСПРОСТРАНЕНИЕ СКРИПТА ДРУГИМИ ЛИЦАМИ ЗАПРЕШЕНО!  #
#############################################################################
header("Cache-Control: no-cache");
header("Content-Type:text/html; charset=UTF-8");

require_once"includers/start.php";
require_once"includers/sid.php";
require("config.php");
$link = connect_db();
list($row, $id, $ps, $fsize1, $fsize2) = check_login($link);
require("version.php");
$mod = check($mod);
switch($mod) {

case 'photo':
if(isset($go)){
if(!isset($file)) $error = "<font color=\"red\" size=\"3\"><b>Вы не указали файл!</b></font><br/>";

$size = filesize($file);
$par = GetImageSize($file);



if($par[2]==1)$foto="$id.gif"; //Загрузка фото в формате gif
if($par[2]==2)$foto="$id.jpg"; //Загрузка фото в формате jpg
if($par[2]==3)$foto="$id.png"; //Загрузка фото в формате png

if($par[2]!=1&&$par[2]!=2&&$par[2]!=3) $error = "<font color=\"red\" size=\"3\"><b>Недопустимое расширение файла!</b></font><br/>";
if($size>102400) $error = "<font color=\"red\" size=\"3\"><b>Слишком большой размер файла!</b></font><br/>";
if(($par[0]>640)||($par[1]>640)) $error = "<font color=\"red\" size=\"3\"><b>Неправильное разрешение фотографии!</b></font><br/>";

if ($error){

echo "<!DOCTYPE html PUBLIC \"-//W3C//DTD XHTML 1.0 Transitional//EN\" \"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd\">";
echo "<html xmlns=\"http://www.w3.org/1999/xhtml\">";
include("obolochka2.php");
echo "<title>Фото в анкету</title>";
echo "<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"/></head><body>";
echo "<div class=\"main\"><div align=\"center\">";
echo $fsize1;
echo $error;
echo $divide;
echo "<a href=\"foto.php?$ses&amp;mod=photo\">&#8592; Назад</a>";
echo $fsize2;
echo "</div>";
echo "</BODY>\n";
echo "</HTML>\n";
exit;
}

if (file_exists("photos/$foto")){
unlink ("photos/$foto");
}
Copy($file, "photos/".basename($foto));
@mysql_query ("Update users set img='".$foto."', votefoto='0' where id ='".$id."'");
@mysql_query ("Delete from golos where login ='".$id."'");
}
echo "<!DOCTYPE html PUBLIC \"-//W3C//DTD XHTML 1.0 Transitional//EN\" \"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd\">";
echo "<html xmlns=\"http://www.w3.org/1999/xhtml\">";
include("obolochka2.php");
echo "<title>Добавить фото</title>";
echo "<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"/></head><body>";
echo "<div class=\"main\"><div align=\"center\">";
echo $fsize1;
echo "<b>ВНИМАНИЕ!!!</b><br/>";
echo "<i>При загрузки нового фото обнуляется колличество голосов за ваше фото. Чтобы голоса начали засчитываться за новое.</i><br/>\n";
echo $divide;
echo "Загружаемая фотка обязательно должна быть в формате Gif, Jpg или Png разрешением не более 640х640 и размером не более 100кб. Если вы хотите заменить свою фотку то просто загрузите новую, а старая автоматически удалится.<br/>\n";
echo $fsize2;
echo "<font color=\"blue\" size=\"5\">".$row["login"]."</font><br/>\n";
if(@$row["img"]!=""){
$row["img"] = UrlEncode($row["img"]);
echo "<img align=\"center\" src=\"./photos/".$row["img"]."\"><br/>\n";
}
echo "<form ENCTYPE=\"multipart/form-data\" action=\"foto.php?$ses&amp;mod=photo\" method=\"post\">\n";
echo $fsize1;
echo "<b>Прикрепить фотку:</b><br/>\n";
echo $fsize2;
echo "<INPUT NAME=\"file\" TYPE=\"file\" SIZE=\"20\"><br/>\n";
echo "<input type=\"submit\" class=\"ibutton\" name=\"go\" value=\"Отправить\">\n";
echo "</form><br/>\n";
echo $fsize1;
echo $divide;
echo "$div1<a href=\"enter.php?$ses&amp;ref=$rand\">Прихожая</a>$div9<br />";
echo $fsize1;
echo "</div>\n";
echo "</BODY>\n";
echo "</HTML>\n";
mysql_close ($link);
break;

case 'avatars':
if(isset($go)){
if(!isset($file)) $error = "<font color=\"red\" size=\"3\"><b>Вы не указали файл!</b></font><br/>";

$size = filesize($file);
$par = GetImageSize($file);

if($par[2]==1)$foto="$id.gif"; //Загрузка фото в формате gif
if($par[2]==2)$foto="$id.jpg"; //Загрузка фото в формате jpg
if($par[2]==3)$foto="$id.png"; //Загрузка фото в формате png

if($par[2]!=1&&$par[2]!=2&&$par[2]!=3) $error = "<font color=\"red\" size=\"3\"><b>Недопустимое расширение файла!</b></font><br/>";
if($size>25060) $error = "<font color=\"red\" size=\"3\"><b>Слишком большой размер файла!</b></font><br/>";
if(($par[0]>174)||($par[1]>174)) $error = "<font color=\"red\" size=\"3\"><b>Неправильное разрешение фотографии!</b></font><br/>";

if ($error){

echo "<!DOCTYPE html PUBLIC \"-//W3C//DTD XHTML 1.0 Transitional//EN\" \"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd\">";
echo "<html xmlns=\"http://www.w3.org/1999/xhtml\">";
include("obolochka2.php");
echo "<title>Аватар в анкету</title>";
echo "<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"/></head><body>";
echo "<div class=\"main\"><div align=\"center\">";
echo $fsize1;
echo $error;
echo $divide;
echo "<a href=\"foto.php?$ses&amp;mod=avatars\">&#8592; Назад</a>";
echo $fsize2;
echo "</div>";
echo "</BODY>\n";
echo "</HTML>\n";
exit;
}

if (file_exists("loadavatars/$foto")){
unlink ("loadavatars/$foto");
}
Copy($file, "loadavatars/".basename($foto));
@mysql_query ("Update users set myavatar='".$foto."' where id ='".$id."'");
}

echo "<!DOCTYPE html PUBLIC \"-//W3C//DTD XHTML 1.0 Transitional//EN\" \"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd\">";
echo "<html xmlns=\"http://www.w3.org/1999/xhtml\">";
include("obolochka2.php");
echo "<title>Добавить аватар</title>";
echo "<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"/></head><body>";
echo "<div class=\"main\"><div align=\"center\">";
echo $fsize1;
echo $divide;
echo "Загружаемый аватар обязательно должен быть в формате Gif, Jpg или Png разрешением не более 174х174 и размером не более 25кб. Если вы хотите заменить свой аватар то просто загрузите новый, а старый автоматически удалится.<br/>\n";
echo $fsize2;
echo "<font color=\"blue\" size=\"5\">".$row["login"]."</font><br/>\n";
if(@$row["myavatar"]!=""){
$row["img"] = UrlEncode($row["myavatar"]);
echo "<img align=\"center\" src=\"./loadavatars/".$row["myavatar"]."\"><br/>\n";
}
echo "<form ENCTYPE=\"multipart/form-data\" action=\"foto.php?$ses&amp;mod=avatars\" method=\"post\">\n";
echo $fsize1;
echo "<b>Прикрепить аватар:</b><br/>\n";
echo $fsize2;
echo "<INPUT NAME=\"file\" TYPE=\"file\" SIZE=\"20\"><br/>\n";
echo "<input type=\"submit\" class=\"ibutton\" name=\"go\" value=\"Отправить\">\n";
echo "</form><br/>\n";
echo $fsize1;
echo $divide;
echo "$div1<a href=\"enter.php?$ses&amp;ref=$rand\">Прихожая</a>$div9<br />";
echo $fsize1;
echo "</div>\n";
echo "</BODY>\n";
echo "</HTML>\n";
mysql_close ($link);
break;

case 'smiles':
if(isset($go)){
if(!isset($file)) $error = "<font color=\"red\" size=\"3\"><b>Вы не указали файл!</b></font><br/>";

$size = filesize($file);
$par = GetImageSize($file);

if($par[2]==1)$foto="$id.gif"; //Загрузка фото в формате gif
if($par[2]==2)$foto="$id.jpg"; //Загрузка фото в формате jpg
if($par[2]==3)$foto="$id.png"; //Загрузка фото в формате png

if($par[2]!=1&&$par[2]!=2&&$par[2]!=3) $error = "<font color=\"red\" size=\"3\"><b>Недопустимое расширение файла!</b></font><br/>";
if($size>25060) $error = "<font color=\"red\" size=\"3\"><b>Слишком большой размер файла!</b></font><br/>";
if(($par[0]>100)||($par[1]>100)) $error = "<font color=\"red\" size=\"3\"><b>Неправильное разрешение фотографии!</b></font><br/>";

if ($error){
echo "<!DOCTYPE html PUBLIC \"-//W3C//DTD XHTML 1.0 Transitional//EN\" \"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd\">";
echo "<html xmlns=\"http://www.w3.org/1999/xhtml\">";
include("obolochka2.php");
echo "<title>Личный смайл</title>";
echo "<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"/></head><body>";
echo "<div class=\"main\"><div align=\"center\">";
echo $fsize1;
echo $error;
echo $divide;
echo "<a href=\"foto.php?$ses&amp;mod=smiles\">&#8592; Назад</a>";
echo $fsize2;
echo "</div>";
echo "</BODY>\n";
echo "</HTML>\n";
exit;
}

if (file_exists("loadsmile/$foto")){
unlink ("loadsmile/$foto");
}
Copy($file, "loadsmile/".basename($foto));
@mysql_query ("Update users set mysmile='".$foto."' where id ='".$id."'");
}
echo "<!DOCTYPE html PUBLIC \"-//W3C//DTD XHTML 1.0 Transitional//EN\" \"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd\">";
echo "<html xmlns=\"http://www.w3.org/1999/xhtml\">";
include("obolochka2.php");
echo "<title>Добавить Личный смайл</title>";
echo "<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"/></head><body>";
echo "<div class=\"main\"><div align=\"center\">";
echo $fsize1;
echo $divide;
echo "Загружаемый смайл обязательно должнен быть в формате Gif, Jpg или Png разрешением не более 100х100 и размером не более 25кб. Если вы хотите заменить свой смайл то просто загрузите новый, а старый автоматически удалится.<br/>\n";
echo $fsize2;
echo "<font color=\"blue\" size=\"5\">".$row["login"]."</font><br/>\n";
if(@$row["mysmile"]!=""){
$row["mysmile"] = UrlEncode($row["mysmile"]);
echo "<img align=\"center\" src=\"./loadsmile/".$row["mysmile"]."\"><br/>\n";
}
echo "<form ENCTYPE=\"multipart/form-data\" action=\"foto.php?$ses&amp;mod=smiles\" method=\"post\">\n";
echo $fsize1;
echo "<b>Прикрепить смайл:</b><br/>\n";
echo $fsize2;
echo "<INPUT NAME=\"file\" TYPE=\"file\" SIZE=\"20\"><br/>\n";
echo "<input type=\"submit\" class=\"ibutton\" name=\"go\" value=\"Отправить\">\n";
echo "</form><br/>\n";
echo $fsize1;
echo $divide;
echo "$div1<a href=\"enter.php?$ses&amp;ref=$rand\">Прихожая</a>$div9<br />";
echo $fsize1;
echo "</div>\n";
echo "</BODY>\n";
echo "</HTML>\n";
mysql_close ($link);
break;

case 'logoclan':
if(isset($go)){
if(!isset($file)) $error = "<font color=\"red\" size=\"3\"><b>Вы не указали файл!</b></font><br/>";

$size = filesize($file);
$par = GetImageSize($file);

if($par[2]==1)$foto="$mid.gif"; //Загрузка фото в формате gif
if($par[2]==2)$foto="$mid.jpg"; //Загрузка фото в формате jpg
if($par[2]==3)$foto="$mid.png"; //Загрузка фото в формате png

if($par[2]!=1&&$par[2]!=2&&$par[2]!=3) $error = "<font color=\"red\" size=\"3\"><b>Недопустимое расширение файла!</b></font><br/>";
if($size>25060) $error = "<font color=\"red\" size=\"3\"><b>Слишком большой размер файла!</b></font><br/>";
if(($par[0]>100)||($par[1]>100)) $error = "<font color=\"red\" size=\"3\"><b>Неправильное разрешение Логотипа!</b></font><br/>";

if ($error){
echo "<!DOCTYPE html PUBLIC \"-//W3C//DTD XHTML 1.0 Transitional//EN\" \"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd\">";
echo "<html xmlns=\"http://www.w3.org/1999/xhtml\">";
include("obolochka2.php");
echo "<title>Логотип</title>";
echo "<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"/></head><body>";
echo "<div class=\"main\"><div align=\"center\">";
echo $fsize1;
echo $error;
echo $divide;
echo "<a href=\"foto.php?$ses&amp;mod=logoclan&amp;mid=$mid\">&#8592; Назад</a>";
echo $fsize2;
echo "</div>";
echo "</BODY>\n";
echo "</HTML>\n";
exit;
}

if (file_exists("logoclan/$foto")){
unlink ("logoclan/$foto");
}
Copy($file, "logoclan/".basename($foto));
@mysql_query ("Update clans set logo='".$foto."' where id ='".$mid."'");
}
echo "<!DOCTYPE html PUBLIC \"-//W3C//DTD XHTML 1.0 Transitional//EN\" \"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd\">";
echo "<html xmlns=\"http://www.w3.org/1999/xhtml\">";
include("obolochka2.php");
echo "<title>Логотип</title>";
echo "<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\"/></head><body>";
echo "<div class=\"main\"><div align=\"center\">";
echo $fsize1;
echo $divide;
echo "Загружаемый логотип обязательно должнен быть в формате Gif, Jpg или Png разрешением не более 100х100 и размером не более 25кб. Если вы хотите заменить логотип то просто загрузите новый, а старый автоматически удалится.<br/>\n";
echo $fsize2;
$q = mysql_query("select * from clans where id='".$mid."';");
$data = mysql_fetch_array($q);
$name = $data['name'];
$logot = $data['logo'];
echo "<font color=\"blue\" size=\"5\">Логотип</font><br/>\n";
if(@$logot!=""){
$logot = UrlEncode($logot);
echo "<img align=\"center\" src=\"./logoclan/".$logot."\"><br/>\n";
}
echo "<form ENCTYPE=\"multipart/form-data\" action=\"foto.php?$ses&amp;mod=logoclan&amp;mid=$mid\" method=\"post\">\n";
echo $fsize1;
echo "<b>Прикрепить смайл:</b><br/>\n";
echo $fsize2;
echo "<INPUT NAME=\"file\" TYPE=\"file\" SIZE=\"20\"><br/>\n";
echo "<input type=\"submit\" class=\"ibutton\" name=\"go\" value=\"Отправить\">\n";
echo "</form><br/>\n";
echo $fsize1;
echo $divide;
echo "$div1<a href=\"enter.php?$ses\">Прихожая</a>$div9<br />";
echo $fsize1;
echo "</div>\n";
echo "</BODY>\n";
echo "</HTML>\n";
mysql_close ($link);
break;
}
?>